D-Bus 1.13.18

Data Fields
DBusTransportSocket Struct Reference
D-Bus secret internal implementation details » DBusTransport implementations for sockets

Implementation details of DBusTransportSocket. More...

## Data Fields
DBusTransport | base
| Parent instance. More...
DBusSocket | fd
| File descriptor. More...
DBusWatch * | read_watch
| Watch for readability. More...
DBusWatch * | write_watch
| Watch for writability. More...
int | max_bytes_read_per_iteration
| To avoid blocking too long. More...
int | max_bytes_written_per_iteration
| To avoid blocking too long. More...
int | message_bytes_written
| Number of bytes of current outgoing message that have been written. More...
DBusString | encoded_outgoing
| Encoded version of current outgoing message. More...
DBusString | encoded_incoming
| Encoded version of current incoming data. More...

## Detailed Description

Implementation details of DBusTransportSocket.

All members are private.

Definition at line 49 of file dbus-transport-socket.c.

## Field Documentation

## ◆ base

DBusTransport DBusTransportSocket::base

Parent instance.

Definition at line 51 of file dbus-transport-socket.c.

## ◆ encoded_incoming

DBusString DBusTransportSocket::encoded_incoming

Encoded version of current incoming data.

Definition at line 66 of file dbus-transport-socket.c.

Referenced by _dbus_transport_new_for_socket().

## ◆ encoded_outgoing

DBusString DBusTransportSocket::encoded_outgoing

Encoded version of current outgoing message.

Definition at line 63 of file dbus-transport-socket.c.

Referenced by _dbus_transport_new_for_socket().

## ◆ fd

DBusSocket DBusTransportSocket::fd

File descriptor.

Definition at line 52 of file dbus-transport-socket.c.

## ◆ max_bytes_read_per_iteration

int DBusTransportSocket::max_bytes_read_per_iteration

To avoid blocking too long.

Definition at line 56 of file dbus-transport-socket.c.

## ◆ max_bytes_written_per_iteration

int DBusTransportSocket::max_bytes_written_per_iteration

To avoid blocking too long.

Definition at line 57 of file dbus-transport-socket.c.

## ◆ message_bytes_written

int DBusTransportSocket::message_bytes_written

Number of bytes of current outgoing message that have been written.

Definition at line 59 of file dbus-transport-socket.c.

## ◆ read_watch

DBusWatch* DBusTransportSocket::read_watch

Watch for readability.

Definition at line 53 of file dbus-transport-socket.c.

## ◆ write_watch

DBusWatch* DBusTransportSocket::write_watch

Watch for writability.

Definition at line 54 of file dbus-transport-socket.c.

Referenced by _dbus_transport_new_for_socket().

The documentation for this struct was generated from the following file:

- dbus-transport-socket.c